# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "cell-map"
version = "0.5.2"
authors = ["Duncan Hamill <duncanrhamill@googlemail.com>"]
description = "Many-layered 2D cellular generic map"
homepage = "https://github.com/duncanrhamill/cell-map"
readme = "readme.md"
keywords = ["maps", "cell", "map", "grid"]
license-file = "license.txt"
repository = "https://github.com/duncanrhamill/cell-map"
[package.metadata.docs.rs]
all-features = true
rustdoc-args = ["--html-in-header", "src/docs-latex.html"]

[lib]
name = "cell_map"
path = "src/lib.rs"
[dependencies.cell-map-macro]
version = "0.2"

[dependencies.nalgebra]
version = "0.25.4"
features = ["serde-serialize"]

[dependencies.ndarray]
version = "0.15"
features = ["serde"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1"
optional = true

[dependencies.thiserror]
version = "1"

[features]
debug_iters = ["json"]
debug_maps = ["json"]
json = ["serde_json"]
